Package org.codehaus.groovy.control.customizers.builder

# Class CustomizersFactory

java.lang.Object
groovy.util.AbstractFactory
org.codehaus.groovy.control.customizers.builder.CustomizersFactory

All Implemented Interfaces:
  `Factory`, `PostCompletionFactory`

    public class CustomizersFactory
    extends AbstractFactory
    implements PostCompletionFactory

This factory generates an array of compilation customizers.

Since:
  2.1.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CustomizersFactory()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `newInstance​(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)` |
  `java.lang.Object` | `postCompleteNode​(FactoryBuilderSupport factory, java.lang.Object parent, java.lang.Object node)` |
  `void` | `setChild​(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)` |

  ### Methods inherited from class groovy.util.AbstractFactory

  `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setParent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomizersFactory

    public CustomizersFactory()

- ## Method Details

  - ### newInstance

    public java.lang.Object newInstance​(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes) throws java.lang.InstantiationException, java.lang.IllegalAccessException
    Specified by:
      `newInstance` in interface `Factory`
    Parameters:
      `builder` - the FactoryBuilder
      `name` - the name of the node being built
      `value` - the 'value' argument in the build node
      `attributes` - the attributes of the build arg
    Returns:
      the object created for the builder
    Throws:
      `java.lang.InstantiationException` - if attempting to instantiate an interface or abstract class
      `java.lang.IllegalAccessException` - if the instance can't be created due to a security violation

  - ### setChild

    public void setChild​(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)
    Specified by:
      `setChild` in interface `Factory`
    Overrides:
      `setChild` in class `AbstractFactory`

  - ### postCompleteNode

    public java.lang.Object postCompleteNode​(FactoryBuilderSupport factory, java.lang.Object parent, java.lang.Object node)
    Specified by:
      `postCompleteNode` in interface `PostCompletionFactory`